New upstream microreleases 9.3.4, 9.1.13, 8.4.21

Bug #1294006 reported by Martin Pitt on 2014-03-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
postgresql-8.4 (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Precise
Undecided
Unassigned
postgresql-9.1 (Ubuntu)
High
Martin Pitt
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Saucy
Undecided
Unassigned
Trusty
High
Martin Pitt
postgresql-9.3 (Ubuntu)
High
Martin Pitt
Trusty
High
Martin Pitt

Bug Description

PostgreSQL will publish new upstream microreleases this Thursday which fix several data loss bugs. No security issues.

As per the standing MRE for PostgreSQL these should go into stable Ubuntu releases.

Upstream announcement: http://www.postgresql.org/about/news/1511/

Martin Pitt (pitti) wrote :

I will sync 9.3.4 and 9.1.13 from sid into trusty.

no longer affects: postgresql-8.4 (Ubuntu Quantal)
no longer affects: postgresql-8.4 (Ubuntu Saucy)
no longer affects: postgresql-8.4 (Ubuntu Trusty)
no longer affects: postgresql-9.1 (Ubuntu Lucid)
no longer affects: postgresql-9.3 (Ubuntu Lucid)
no longer affects: postgresql-9.3 (Ubuntu Precise)
no longer affects: postgresql-9.3 (Ubuntu Quantal)
no longer affects: postgresql-9.3 (Ubuntu Saucy)
description: updated
Changed in postgresql-9.3 (Ubuntu Trusty):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → Fix Committed
Changed in postgresql-9.1 (Ubuntu Trusty):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → Fix Committed
Martin Pitt (pitti) wrote :

All updates ready for upload once upstream signs off and announces the new version.

Martin Pitt (pitti) wrote :

Updates for all stable releases updated, now need to be reviewed by SRU team.

Changed in postgresql-8.4 (Ubuntu):
status: New → Invalid
Changed in postgresql-8.4 (Ubuntu Lucid):
status: New → In Progress
Changed in postgresql-8.4 (Ubuntu Precise):
status: New → In Progress
Changed in postgresql-9.1 (Ubuntu Precise):
status: New → In Progress
Changed in postgresql-9.1 (Ubuntu Quantal):
status: New → In Progress
Changed in postgresql-9.1 (Ubuntu Saucy):
status: New → In Progress
Martin Pitt (pitti) on 2014-03-20
description: updated
Martin Pitt (pitti) wrote :

Synced, propagated:
postgresql-9.3 | 9.3.4-1 | trusty | source, amd64, arm64, armhf, i386, powerpc, ppc64el

Changed in postgresql-9.3 (Ubuntu Trusty):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Synced, propagated:

 postgresql-9.1 | 9.1.13-1 | trusty/universe | source

Changed in postgresql-9.1 (Ubuntu Trusty):
status: Fix Committed → Fix Released

Hello Martin, or anyone else affected,

Accepted postgresql-9.1 into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/postgresql-9.1/9.1.13-0ubuntu0.13.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in postgresql-9.1 (Ubuntu Saucy):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in postgresql-9.1 (Ubuntu Quantal):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Martin, or anyone else affected,

Accepted postgresql-9.1 into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/postgresql-9.1/9.1.13-0ubuntu0.12.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in postgresql-9.1 (Ubuntu Precise):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Martin, or anyone else affected,

Accepted postgresql-9.1 into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/postgresql-9.1/9.1.13-0ubuntu0.12.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Martin Pitt (pitti) wrote :

Saucy and Quantal updates verified using the postgresql-common test suite on the -proposed package. This still needs the -8.4 packages for lucid and precise accepted.

tags: added: verification-done-quantal verification-done-saucy
Martin Pitt (pitti) wrote :

Hello Martin, or anyone else affected,

Accepted postgresql-8.4 into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/postgresql-8.4/8.4.21-0ubuntu0.12.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in postgresql-8.4 (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in postgresql-8.4 (Ubuntu Lucid):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Hello Martin, or anyone else affected,

Accepted postgresql-8.4 into lucid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/postgresql-8.4/8.4.21-0ubuntu0.10.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Martin Pitt (pitti) wrote :

I verified the precise and lucid updates as well.

tags: added: verification-done
removed: verification-done-quantal verification-done-saucy verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package postgresql-8.4 - 8.4.21-0ubuntu0.10.04

---------------
postgresql-8.4 (8.4.21-0ubuntu0.10.04) lucid-proposed; urgency=medium

  * New upstream bug fix release. No security issues or major data loss fixes
    this time, see release.html for details. (LP: #1294006)
 -- Martin Pitt <email address hidden> Tue, 18 Mar 2014 10:37:05 +0100

Changed in postgresql-8.4 (Ubuntu Lucid):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for postgresql-8.4 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package postgresql-8.4 - 8.4.21-0ubuntu0.12.04

---------------
postgresql-8.4 (8.4.21-0ubuntu0.12.04) precise-proposed; urgency=medium

  * New upstream bug fix release. No security issues or major data loss fixes
    this time, see release.html for details. (LP: #1294006)
 -- Martin Pitt <email address hidden> Tue, 18 Mar 2014 10:39:57 +0100

Changed in postgresql-8.4 (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package postgresql-9.1 - 9.1.13-0ubuntu0.12.04

---------------
postgresql-9.1 (9.1.13-0ubuntu0.12.04) precise-proposed; urgency=medium

  * New upstream bug fix release. No security issues or major data loss fixes
    this time, see release.html for details. (LP: #1294006)
 -- Martin Pitt <email address hidden> Tue, 18 Mar 2014 10:41:28 +0100

Changed in postgresql-9.1 (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package postgresql-9.1 - 9.1.13-0ubuntu0.12.10

---------------
postgresql-9.1 (9.1.13-0ubuntu0.12.10) quantal-proposed; urgency=medium

  * New upstream bug fix release. No security issues or major data loss fixes
    this time, see release.html for details. (LP: #1294006)
 -- Martin Pitt <email address hidden> Tue, 18 Mar 2014 10:31:14 +0100

Changed in postgresql-9.1 (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package postgresql-9.1 - 9.1.13-0ubuntu0.13.10

---------------
postgresql-9.1 (9.1.13-0ubuntu0.13.10) saucy-proposed; urgency=medium

  * New upstream bug fix release. No security issues or major data loss fixes
    this time, see release.html for details. (LP: #1294006)
 -- Martin Pitt <email address hidden> Tue, 18 Mar 2014 10:26:43 +0100

Changed in postgresql-9.1 (Ubuntu Saucy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers